## quickclip 0.3.1-1

=== debian/changelog ===
quickclip (0.3.1-1) unstable; urgency=low

  * Symlinked help for en_GB
  * Added Reboot warning
  * Added pretty application name (for application manager)

 -- Brent Chiodo <bchiodo@gmail.com>  Mon, 30 Mar 2009 18:55:00 +0000

quickclip (0.3.0-1) unstable; urgency=low

  * Switched to hildon.banner for information/warnings/errors
  * Added Open Button to Settings dialog
  * Now uses hildonhelp for builtin help
  * Simplified About Dialog
  * Added Donations sub menuitem
  * Initial release of Quick Clip Viewer (beta)
  * Now packaged with dpkg-buildpackage

 -- Brent Chiodo <bchiodo@gmail.com>  Sat, 21 Mar 2009 16:04:30 +0000

quickclip (0.2.0-1) unstable; urgency=low

  * Added Option to change default menu positioning
  * Added GUI Manage Files dialog
  * Numerous bug fixes and optimizations
  * Changed status from "beta" to "release" 

 -- Brent Chiodo <bchiodo@gmail.com>  Fri, 20 Feb 2009 17:29:00 +0000

quickclip (0.1.2-1) unstable; urgency=low

  * Added Use Seperator and Use Date Stamp option
  * Added History
  * Added conformation popups

 -- Brent Chiodo <bchiodo@gmail.com>  Wed, 11 Feb 2009 14:09:00 +0000

quickclip (0.1.1-1) unstable; urgency=low

  * Added Entry >> File option
  * Added Backup integration

 -- Brent Chiodo <bchiodo@gmail.com>  Wed, 4 Feb 2009 15:55:00 +0000

quickclip (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Brent Chiodo <bchiodo@gmail.com>  Mon, 2 Feb 2009 14:20:00 +0000

## quickclip 0.4.5

=== Makefile ===
all:
	python2.5 setup.py build  
clean: 
	python2.5 setup.py clean --all
install:
	python2.5 setup.py install --root $(DESTDIR)

## quickclip 0.4.0-1

=== debian/changelog ===
quickclip (0.4.0-1) unstable; urgency=low

  * Added Clear submenu item
  * Added Delete submenu item
  * Switched to XML for target file list storage
  * Switched storage location for user files
  * Major code cleanup
  * QCV: Changed preference warning to bold
  * QCV: Added application menu
  * QCV: Fixed bug in scrolling choice
  * QCV: Added Select All option
  * QCV: Added Right/Left buttons for flipping through clippings
  * QCV: Added Properties submenu item
  * QCV: Added Help menu item
  * QCV: Mapped the +/- keys to increase/decrease font size
  * QCV: Mapped the Up/Down D-Pad keys to scrolling (only for GTK)
  * QCV: Changed Title (more path visible)
  * QCV: Major code cleanup

 -- Brent Chiodo <bchiodo@gmail.com>  Mon, 13 Apr 2009 18:08:45 +0000

=== debian/control ===
Source: quickclip
Section: user/utilities
Priority: optional
Maintainer: Brent Chiodo <bchiodo@gmail.com>
Build-Depends: debhelper (>= 4.0.0), python2.5-dev
Standards-Version: 3.6.0

Package: quickclip
Architecture: all
Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-hildondesktop, hildon-desktop-python-loader, python-mokoui
Description: A Status bar plugin to copy and save information.
 Quick Clip is a statusbar plugin that allows you to easily save
 information into a file for later reference. Whether that information
 is the current text-selection, or something you just want to jot down,
 Quick Clip automates the whole process.
XB-Maemo-Display-Name: Quick Clip
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhk
 iAAABQlJREFUSIndll9oHNcVh79z586sZrX/pPGuZTuqrcVOiikB11EeQl5KG2pK
 +lwoDYE+tI+lEEgCoSHQl9JAm1JoiCmE5CmFPtQPaV03Le5DX9KiQqmj5o+RUimK
 LMuSd2dmd3Zn7unDrlTJElb62stcBi6H891zf+ece+H/bchhiz96+YeB8UyAAgoq
 AA6cw+0YqYITBzp47tkX8/8Z9Ktfv1mdfWDuaRHvPKCCoiPP7P0BiJhhp3t38d+r
 K1fzvFj6zre/q/f62xn23oUi1wunTs6+MB1Nt1QV1IlTJcsyup0ujak6qg5VVRDy
 YZFH0fQ/b968+dIrP3n5yve+/4w7DGQOgIrCF8EYIwyHAzqdDqqO4XDIxsYGw3yI
 qqpTR14MGeSZnX3gcw+fe/DcK6dOn/rm5V/+IvhMIKeKKqgq3W6XxcX3WV9fJ8+H
 xHHC9tY2SZpImiTSzzIKV5CkiZw53Z49PXfmx42pqa+9evnnByQ5GJErUBRVJ6oq
 5XLIx8srxEkCAnc2t+ilPdJenyROpN/rSZqm9Pt9msdax2eOz/ygVq099OprP7s/
 SJ2CKk4d1rdExyJUlbgTUw5D0rSPtT6BHxD4AZ549Hp9WVx8j6WlZUrhxPnJSuUb
 paBs7wtybufoAJQg8Gm2jrG2to6q0ul0GA5zjDEYY/CspVqdpHW8RavVpFGrB9F0
 9C1r7fRevweybpxRKIqIICI0GnWSKOX27TsMsowkSSmXw3vdiB8ElMNQ424yV7hi
 4v4g5xhVKWTZgEE2QESoT1XZ3t6m1+uzcWuDSqWM53l7NqggojI5iSri3P4sPwBy
 OipQUaUUBFjPA4RyGDI4OSSOY/q9Pr71mQj3bFrB+lY8Y0ZY3Q86RKORgXgezjny
 vCAvcvIipzHV4PjMDJ1Ol83NLVzhKHJHkRcURYGqYoyHqsMdDRodmydmV3ArHp7n
 EVifZjMiz4esrqyyvd1BncOzPsZYjPEwYkZt0O3vRocmA6qIMXjGop6CCMIoMer1
 BpOTFVZWP0FXP6H14QdE848QPngOU6lQGA9V5WiNxgYGIQgCrB2bjDNQgOZUg3h1
 hbPtNhtXrrB87Q94rRblzz9EY36etBnBcH9DP7RgdRxRlmWkaUqv16Ofjme/Tyvr
 c+q3v8NXmHvpRSqPPUa+tUXz0iWiixfZ/tN1zLt/O0KjPSJaawmCYDRL4xmUqEXH
 qEyUuPv224T1Bmeff47Gpa+icYznHN7WFmbt0yNAzu0W60izUY3oziWoimQD6vOP
 4lcqJAsL1GZOMPuVJ7h19fes/OYK5txZske+eJRGuuNQy+UyI6bsJgQimFoNvXCB
 chTx8VtvcfrJrzPz+OPU2m215ZDehx+QL/z1qIgKFERVsdbil3z8wKcU+JRKPqUg
 YKLZpNjcZLLdxq9WWbt2DS8IqLbnCGdaiPUoXLHvqrg3IrNxa0OTJE6TJKmNuorA
 6Bsfp6DVSYJWU27/fcHUn/iyW37jTa/86Hxh6zUVEQaDQXfp5pI3DsQdAImI/vn6
 X/7Vas38tFGvnx1dgsoIo7sdHRFst2tKNxZnvTA8ESwszN64/NrV4uSJjojo5p3b
 N95554932fPC2BfexMQERVHIFx4+b6NoyuR5Lk7/W+G7ICCsVPRLix+12mKe1DQJ
 /2G916+fmU1Lga+frq279268n7s97eHQ59ZnHe9evMhyHAe9OOap1dXB/Wz/A/bi
 ilzUOf87AAAAAElFTkSuQmCC

## quickclip 0.4.1-1

=== debian/changelog ===
quickclip (0.4.1-1) unstable; urgency=low

  * Fixed Open Bug
  * Fixed preinst script
  * Renamed Open Settings button to Browse

 -- Brent Chiodo <bchiodo@gmail.com>  Fri, 17 Apr 2009 15:05:55 +0000

## quickclip 0.4.2-1

=== debian/changelog ===
quickclip (0.4.2-1) unstable; urgency=low

  * Changed donation link to local file (because MaemoBox is closing)
  * Added /home/user/.quicklip/donate.html
  * Added /home/user/.quicklip/css.html
  
 -- Brent Chiodo <bchiodo@gmail.com>  Sun, 26 Apr 2009 17:17:15 +0000

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,17 @@
 Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-hildondesktop, hildon-desktop-python-loader, python-mokoui
 Description: A Status bar plugin to copy and save information.
  Quick Clip is a statusbar plugin that allows you to easily save
- information into a file for later reference. Whether that information
- is the current text-selection, or something you just want to jot down,
- Quick Clip automates the whole process.
+ information into a file for later reference. Whether that
+ information is the current text-selection or something you just
+ want to jot down, Quick Clip automates the whole process.
+ .
+ In addition, Quick Clip allows you to view stored files with its built-
+ in file viewer. Some of the main features of the file viewer are:
+ .
+    * Easy to use interface
+    * Kinetic scrolling
+    * Word search capability
+    * User selected fonts
 XB-Maemo-Display-Name: Quick Clip
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhk

## quickclip 0.4.4-1

=== debian/changelog ===
quickclip (0.4.4-1) unstable; urgency=low

  * Removed mokoui2 dependency (for Chinook and Fremantle)
  * Subclassed all similar functions
  * QCV: Changed settings dialog

 -- Brent Chiodo <bchiodo@gmail.com>  Sun, 27 May 2009 15:47:00 +0000

## quickclip 0.4.4-2

=== debian/changelog ===
quickclip (0.4.4-2) unstable; urgency=low

  * Fixed packaging bug in preinst

 -- Brent Chiodo <bchiodo@gmail.com>  Tue, 2 Jun 2009 20:02:00 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 Package: quickclip
 Architecture: all
-Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-hildondesktop, hildon-desktop-python-loader, python-mokoui
+Depends: python2.5 | python (>=2.5), python2.5-hildon | python-hildon, python2.5-gtk2 | python-gtk2, python2.5-hildondesktop | python-hildondesktop, hildon-desktop-python-loader, python2.5-xml | python-xml
+Recommends: python-mokoui
 Description: A Status bar plugin to copy and save information.
  Quick Clip is a statusbar plugin that allows you to easily save
  information into a file for later reference. Whether that

## quickclip 0.4.4-3

=== debian/changelog ===
quickclip (0.4.4-3) unstable; urgency=low

  * Fixed more packaging bugs

 -- Brent Chiodo <bchiodo@gmail.com>  Tue, 3 Jun 2009 12:02:00 +0000

## quickclip 0.4.5

=== debian/changelog ===
quickclip (0.4.5) unstable; urgency=low

  * Fixed Settings bug
  * Now handles old settings file gracefully

 -- Brent Chiodo <bchiodo@gmail.com>  Sat, 13 Jun 2009 11:12:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
endif

configure: configure-stamp

configure-stamp:
	dh_testdir
 	# Add here commands to configure the package.

	touch configure-stamp
build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
 	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/hello-pymaemo.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/quickclip/
	dh_link /usr/share/osso-help/en_US/quickclip.xml /usr/share/osso-help/en_GB/quickclip.xml

# Build architecture-independent files here.

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## quickclip 0.4.5-1

=== debian/changelog ===
quickclip (0.4.5-1) unstable; urgency=low

  * Fixed Settings bug
  * Now handles old settings file gracefully

 -- Brent Chiodo <bchiodo@gmail.com>  Sat, 13 Jun 2009 11:12:00 +0000

## quickclip 0.4.5-2

=== debian/changelog ===
quickclip (0.4.5-2) unstable; urgency=low

  * Fixed parent_files creation bug

 -- Brent Chiodo <bchiodo@gmail.com>  Wed, 24 Jun 2009 19:47:00 +0000
